----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    00:22:52 10/29/2009 
-- Design Name: 
-- Module Name:    vitdec_top - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity vitdec_top is
  port (
	data_in0: IN std_logic_VECTOR(3 downto 0);
	data_in1: IN std_logic_VECTOR(3 downto 0);
	block_in: IN std_logic;
	packet_start: IN std_logic;
	tb_block: IN std_logic;
	data_out: OUT std_logic;
	data_out_direct: OUT std_logic;
	data_out_reverse: OUT std_logic;
	packet_start_o: OUT std_logic;
	tb_block_o: OUT std_logic;
	direct_rdy: OUT std_logic;
	reverse_rdy: OUT std_logic;
	ber: OUT std_logic_VECTOR(15 downto 0);
	ber_done: OUT std_logic;
	block_out: OUT std_logic;
	rdy: OUT std_logic;
	ce: IN std_logic;
	sclr: IN std_logic;
	clk: IN std_logic);
end vitdec_top;

architecture Behavioral of vitdec_top is

component viterbi_v7_0
	port (
	data_in0: IN std_logic_VECTOR(3 downto 0);
	data_in1: IN std_logic_VECTOR(3 downto 0);
	block_in: IN std_logic;
	packet_start: IN std_logic;
	tb_block: IN std_logic;
	data_out: OUT std_logic;
	data_out_direct: OUT std_logic;
	data_out_reverse: OUT std_logic;
	packet_start_o: OUT std_logic;
	tb_block_o: OUT std_logic;
	direct_rdy: OUT std_logic;
	reverse_rdy: OUT std_logic;
	ber: OUT std_logic_VECTOR(15 downto 0);
	ber_done: OUT std_logic;
	block_out: OUT std_logic;
	rdy: OUT std_logic;
	ce: IN std_logic;
	sclr: IN std_logic;
	clk: IN std_logic);
end component;

begin

u0 : viterbi_v7_0
		port map (
			data_in0 => data_in0,
			data_in1 => data_in1,
			block_in => block_in,
			packet_start => packet_start,
			tb_block => tb_block,
			data_out => data_out,
			data_out_direct => data_out_direct,
			data_out_reverse => data_out_reverse,
			packet_start_o => packet_start_o,
			tb_block_o => tb_block_o,
			direct_rdy => direct_rdy,
			reverse_rdy => reverse_rdy,
			ber => ber,
			ber_done => ber_done,
			block_out => block_out,
			rdy => rdy,
			ce => ce,
			sclr => sclr,
			clk => clk);


end Behavioral;

